Skip to main content
PUT
/
v1
/
organizations
/
{organizationId}
Update Organization
curl --request PUT \
  --url https://localtest.mindbridge.ai/api/v1/organizations/{organizationId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "version": 123,
  "name": "<string>",
  "externalClientCode": "<string>",
  "managerUserIds": [
    {}
  ]
}
'
{
  "version": 123,
  "name": "<string>",
  "id": {},
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": {},
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": {},
    "userName": "<string>"
  },
  "externalClientCode": "<string>",
  "managerUserIds": [
    {}
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationId
string
required

Body

application/json
version
integer<int64>
required

Indicates the data integrity version to ensure data consistency.

name
string
required

The name of the organization.

Required string length: 1 - 80
Pattern: \s*\S+.*
externalClientCode
string

The unique client ID applied to this organization.

Maximum string length: 80
managerUserIds
object[]

Identifies users assigned to the organization manager role.

Response

OK

version
integer<int64>
required

Indicates the data integrity version to ensure data consistency.

name
string
required

The name of the organization.

Required string length: 1 - 80
Pattern: \s*\S+.*
id
object

The unique object identifier.

creationDate
string<date-time>

The date that the object was originally created.

lastModifiedDate
string<date-time>

The date that the object was last updated or modified.

createdUserInfo
User Info · object

Details about the user who created the object.

lastModifiedUserInfo
User Info · object

Details about the user who last modified or updated the object.

externalClientCode
string

The unique client ID applied to this organization.

Maximum string length: 80
managerUserIds
object[]

Identifies users assigned to the organization manager role.